#ifndef __APALETTE_H
#define __APALETTE_H

class AstPalette
{
  private:

    friend class AstVGA;

    bool valid;
    char data[256][3];

    bool Load( const char *filename );
    void InitPaletteBlock( int color, float r1, float g1, float b1,
                                      float r2, float g2, float b2 );

  public:
    AstPalette( const char *filename );

    bool IsValid() const { return valid; }

    void GetRGB( int val, char c[3] ) const
    {
       c[0] = data[val][0];
       c[1] = data[val][1];
       c[2] = data[val][2];
    }
};

#endif
