#include "ast3d.h"

/*
** void AstMatrix3x3::Transpose( void )
**
** The inverse of a 3x3 rotation matrix is its transpose, and thus
** this function transposes its data (flips it over the diagonal)
** to facilitate optimized inversion.
*/
void AstMatrix3x3::Transpose( void )
{
AstFixedpoint_t tmp;

   tmp = data[0][1];
   data[0][1] = data[1][0];
   data[1][0] = tmp;

   tmp = data[0][2];
   data[0][2] = data[2][0];
   data[2][0] = tmp;

   tmp = data[1][2];
   data[1][2] = data[2][1];
   data[2][1] = tmp;
}
